%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version:        1.26.1
Release:        4%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0:        https://tarballs.openstack.org/diskimage-builder/%{name}-%{upstream_version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Handle-failure-of-carrier-check-in-dhcp-all-interfac.patch
Patch0002: 0002-Remove-nested-quotes-from-TAROPTS.patch
Patch0003: 0003-Use-i-instead-of-I-in-dhcp-interface-.service.patch
Patch0004: 0004-Run-dhcp-interface-.service-after-network.target.patch
Patch0005: 0005-Fix-cylical-systemd-config-for-dhcp-all-interfaces.patch

AutoReqProv: no

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-d2to1
BuildRequires: python-pbr

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: python-babel
Requires: tar
Requires: dib-utils
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: /usr/bin/python
Requires: python(abi) = 2.7

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/lib
mkdir -p %{buildroot}%{_datadir}/%{name}/elements

install -p -D -m 644 lib/* %{buildroot}%{_datadir}/%{name}/lib
cp -vr elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{python2_sitelib}/diskimage_builder*
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/elements

%changelog
* Wed Oct 24 2018 Bob Fournier <bfournie@redhat.com> 1.26.1-4
- Fix cylical systemd config for dhcp-all-interfaces (rhbz#1638398)
- Run dhcp-interface@.service after network.target (rhbz#1638398)

* Thu May 03 2018 Bob Fournier <bfournie@redhat.com> 1.26.1-3
- Use %i instead of %I in dhcp-interface@.service rhbz#1267169

* Mon Feb 05 2018 Mike Burns <mburns@redhat.com> 1.26.1-2
- Remove nested quotes from TAROPTS rhbz#1542212
- Handle failure of carrier check in dhcp-all-interfaces.sh rhbz#1494132

* Tue Jan 03 2017 Jon Schlueter <jschluet@redhat.com> 1.26.1-1
- Update to 1.26.1 (rhbz#1411483)

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 1.22.2-1
- Update to 1.22.2

* Tue Nov 22 2016 Jason Joyce <jjoyce@redhat.com> 1.22.1-1
- Update to 1.22.1

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 1.21.0-7
- simplify ARCH param for rhel/centos param can be x86_64 and amd64
- add support for SUSE in dhcp-all-interfaces
- Add element for setting sysctl values
- Don't include openstack/common in flake8 exclude list
- Drop MANIFEST.in - it's not needed by pbr
- elements: runtime-ssh-host-keys: Add openssh-client mapping for SUSE
- elements: opensuse-minimal: Add support for building Tumbleweed images
- Fix ironic-python-agent image not loading vfat mod
- Avoid disabling rhel-7-server-rh-common-rpms
- Updated from global requirements
- Install lsb package by map name instead of package name
- elements: zypper-minimal: Mount common pseudo filesystems
- elements: zypper-minimal: Refresh repositories after adding the cache

* Thu Nov 10 2016 Jon Schlueter <jschluet@redhat.com> 1.21.0-6
- dhcp-all-interfaces: support Centos/RHEL 6 (rhbz#1387267)

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 1.21.0-5
- Updated from global requirements
- Changed the home-page of diskimage-builder in setup.cfg
- Remove RedHat grub workaround install
- Don't log datestamp by default in functional tests
- Don't set tracing in environment files
- elements: simple-init: Remove SUSE interfaces
- Make xenial the ubuntu default

* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 1.21.0-4
- Turn down yum install-packages

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 1.21.0-3
- elements: source-repositories: Add git package mapping for SUSE
- elements: growroot: Add SUSE package mappings
- elements: zypper: Do not pull recommended packages
- Add support for bindep.txt

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 1.21.0-2
- Document install of diskimage-builder on Gentoo
- start cloud-init-local in the boot runlevel
- Fix formatting for supported distros in docs
- Rename devloper documentation to developer guide
- Remove copyright from docs / toc
- Use globaltoc in docs for sidebar
- Fix developer guide TOC
- Add low-hanging-fruit bug tag to docs
- Add bugs link to docs
- Enable release notes translation
- Add pkg-map for gentoo to runtime-ssh-host-keys
- Add opensuse-minimal element
- Add zypper-minimal element
- Move the opensuse mkinitrd script to the zypper element
- Disabling all previous repos registered in the system
- Fix grub installation for RHEL
- Add option to be able to run_functests.sh in parallel

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 1.21.0-1
- Update to 1.21.0

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 1.19.0-1
- Update to 1.19.0

